<!DOCTYPE html>
<html>
    <head>
        <title>{{ title }}</title>
        <style type="text/css">
            body {
                background-color: black;
            }
            .chatbox {
                color: green;
                background-color: #171717;
                height: 90%;
                width: 60%;
                position: absolute;
                margin-left: 20%;
            }
            .chat-flow {
                background-color: #9ACD32;
                color: #0000FF;
                position: absolute;
                top: 0;
                height: 95%;
                width: 100%;
            
                display: flex;
                flex-direction: column;
                justify-content: flex-end;
            }
            .button-chat-send {
                background-color: #008000;
                color: #FFFF00;
                height: 100%;
                width: 10%;
            }
            .button-chat-send:active {
                 background-color: #FFFF00;
              }
            .input-chat-send {
                background-color: #008000;
                color: #FFFF00;
                width: 90%;
                height: 100%;
                margin-left: 10%;
                position: absolute;
                top: 0;
            }
            .form-chat-send {
                width: 100%;
                height: 4%;
                background-color: #FF0000;
                position: relative;
                margin: 0;
                top: 96%;;
            }
            .chat-message {
                color: #000000;
                position: relative;
                display: inline-block;
                background-color: #FFFFFF;
            }
        </style>
    </head>
    <body>
      
        <div class="chatbox">
          <div class="chat-flow">
              {% for message in chat_log %}
                <div class="chat-message">{{ message }}</div>
              {% endfor %}
          </div>
              
                <form class="form-chat-send">
                    <div class="button-chat-send">send</div>
                    <input class="input-chat-send" type="text">
                </form>
        </div>
      
        <script>
            var buttonChatSend = document.querySelector('.button-chat-send'),
                inputChatSend = document.querySelector('.input-chat-send'),
                chatFlow = document.querySelector('.chat-flow'),
                websocket = new WebSocket("{{ ws_address }}");

            const eventTypeNewChatMsg = 'new_chat_msg';

            buttonChatSend.onclick = function () {
                const text = inputChatSend.value
                console.log(text)
                if (text) {
                    websocket.send(JSON.stringify({
                        type: eventTypeNewChatMsg,
                        data: {'text': text}
                    }))
                }
            }

            websocket.onmessage = function (event) {
                msg = JSON.parse(event.data);

                if (msg.type === 'new_message') {
                    
                    const messageBlock = document.createElement( 'div' )
                    messageBlock.innerHTML = msg.data.text
                    messageBlock.className = 'chat-message'

                    chatFlow.appendChild(messageBlock)

                }

            };
        </script>

    </body>
</html>